pcl::io::ply::ply_parser Class Reference

Class ply_parser parses a PLY file and generates appropriate atomic parsers for the body. More...

`#include <pcl/io/ply/ply_parser.h>`

## Classes

struct | list_property_begin_callback_type
struct | list_property_definition_callback_type
class | list_property_definition_callbacks_type
struct | list_property_element_callback_type
struct | list_property_end_callback_type
struct | scalar_property_callback_type
struct | scalar_property_definition_callback_type
class | scalar_property_definition_callbacks_type

## Public Types

enum | flags
typedef boost::function< void(std::size_t, const std::string &)> | info_callback_type
typedef boost::function< void(std::size_t, const std::string &)> | warning_callback_type
typedef boost::function< void(std::size_t, const std::string &)> | error_callback_type
typedef boost::function< void()> | magic_callback_type
typedef boost::function< void(format_type, const std::string &)> | format_callback_type
typedef boost::function< void(const std::string &)> | comment_callback_type
typedef boost::function< void(const std::string &)> | obj_info_callback_type
typedef boost::function< bool()> | end_header_callback_type
typedef boost::function< void()> | begin_element_callback_type
typedef boost::function< void()> | end_element_callback_type
typedef boost::tuple< begin_element_callback_type, end_element_callback_type > | element_callbacks_type
typedef boost::function< element_callbacks_type(const std::string &, std::size_t)> | element_definition_callback_type
typedef boost::mpl::vector< int8, int16, int32, uint8, uint16, uint32, float32, float64 > | scalar_types
typedef boost::mpl::vector< uint8, uint16, uint32 > | size_types
typedef int | flags_type

## Public Member Functions

void | info_callback (const info_callback_type &info_callback)
void | warning_callback (const warning_callback_type &warning_callback)
void | error_callback (const error_callback_type &error_callback)
void | magic_callback (const magic_callback_type &magic_callback)
void | format_callback (const format_callback_type &format_callback)
void | element_definition_callback (const element_definition_callback_type &element_definition_callback)
void | scalar_property_definition_callbacks (const scalar_property_definition_callbacks_type &scalar_property_definition_callbacks)
void | list_property_definition_callbacks (const list_property_definition_callbacks_type &list_property_definition_callbacks)
void | comment_callback (const comment_callback_type &comment_callback)
void | obj_info_callback (const obj_info_callback_type &obj_info_callback)
void | end_header_callback (const end_header_callback_type &end_header_callback)
| ply_parser (flags_type flags=0)
bool | parse (const std::string &filename)

## Static Public Member Functions

template<typename ScalarType >
static scalar_property_definition_callback_type< ScalarType >::type & | at (scalar_property_definition_callbacks_type &scalar_property_definition_callbacks)
template<typename ScalarType >
static const scalar_property_definition_callback_type< ScalarType >::type & | at (const scalar_property_definition_callbacks_type &scalar_property_definition_callbacks)
template<typename SizeType , typename ScalarType >
static list_property_definition_callback_type< SizeType, ScalarType >::type & | at (list_property_definition_callbacks_type &list_property_definition_callbacks)
template<typename SizeType , typename ScalarType >
static const list_property_definition_callback_type< SizeType, ScalarType >::type & | at (const list_property_definition_callbacks_type &list_property_definition_callbacks)

## Detailed Description

Class ply_parser parses a PLY file and generates appropriate atomic parsers for the body.

Author
  Ares Lagae as part of libply, Nizar Sallem Ported with agreement from the author under the terms of the BSD license.

Definition at line 82 of file ply_parser.h.

## Member Typedef Documentation

typedef boost::function<void ()> pcl::io::ply::ply_parser::begin_element_callback_type

Definition at line 96 of file ply_parser.h.

typedef boost::function<void (const std::string&)> pcl::io::ply::ply_parser::comment_callback_type

Definition at line 92 of file ply_parser.h.

typedef boost::tuple<begin_element_callback_type, end_element_callback_type> pcl::io::ply::ply_parser::element_callbacks_type

Definition at line 98 of file ply_parser.h.

typedef boost::function<element_callbacks_type (const std::string&, std::size_t)> pcl::io::ply::ply_parser::element_definition_callback_type

Definition at line 99 of file ply_parser.h.

typedef boost::function<void ()> pcl::io::ply::ply_parser::end_element_callback_type

Definition at line 97 of file ply_parser.h.

typedef boost::function<bool ()> pcl::io::ply::ply_parser::end_header_callback_type

Definition at line 94 of file ply_parser.h.

typedef boost::function<void (std::size_t, const std::string&)> pcl::io::ply::ply_parser::error_callback_type

Definition at line 88 of file ply_parser.h.

typedef int pcl::io::ply::ply_parser::flags_type

Definition at line 304 of file ply_parser.h.

typedef boost::function<void (format_type, const std::string&)> pcl::io::ply::ply_parser::format_callback_type

Definition at line 91 of file ply_parser.h.

typedef boost::function<void (std::size_t, const std::string&)> pcl::io::ply::ply_parser::info_callback_type

Definition at line 86 of file ply_parser.h.

typedef boost::function<void ()> pcl::io::ply::ply_parser::magic_callback_type

Definition at line 90 of file ply_parser.h.

typedef boost::function<void (const std::string&)> pcl::io::ply::ply_parser::obj_info_callback_type

Definition at line 93 of file ply_parser.h.

typedef boost::mpl::vector<int8, int16, int32, uint8, uint16, uint32, float32, float64> pcl::io::ply::ply_parser::scalar_types

Definition at line 114 of file ply_parser.h.

typedef boost::mpl::vector<uint8, uint16, uint32> pcl::io::ply::ply_parser::size_types

Definition at line 207 of file ply_parser.h.

typedef boost::function<void (std::size_t, const std::string&)> pcl::io::ply::ply_parser::warning_callback_type

Definition at line 87 of file ply_parser.h.

## Member Enumeration Documentation

enum pcl::io::ply::ply_parser::flags

Definition at line 305 of file ply_parser.h.

## Constructor & Destructor Documentation

pcl::io::ply::ply_parser::ply_parser | ( | flags_type | flags = `0` | ) |

inline

Definition at line 307 of file ply_parser.h.

## Member Function Documentation

template<typename ScalarType >

static scalar_property_definition_callback_type<ScalarType>::type& pcl::io::ply::ply_parser::at | ( | scalar_property_definition_callbacks_type & | scalar_property_definition_callbacks | ) |

inline static

Definition at line 162 of file ply_parser.h.

References pcl::io::ply::ply_parser::scalar_property_definition_callbacks_type::get().

template<typename ScalarType >

static const scalar_property_definition_callback_type<ScalarType>::type& pcl::io::ply::ply_parser::at | ( | const scalar_property_definition_callbacks_type & | scalar_property_definition_callbacks | ) |

inline static

Definition at line 170 of file ply_parser.h.

References pcl::io::ply::ply_parser::scalar_property_definition_callbacks_type::get().

template<typename SizeType , typename ScalarType >

static list_property_definition_callback_type<SizeType, ScalarType>::type& pcl::io::ply::ply_parser::at | ( | list_property_definition_callbacks_type & | list_property_definition_callbacks | ) |

inline static

Definition at line 258 of file ply_parser.h.

References pcl::io::ply::ply_parser::list_property_definition_callbacks_type::get().

template<typename SizeType , typename ScalarType >

static const list_property_definition_callback_type<SizeType, ScalarType>::type& pcl::io::ply::ply_parser::at | ( | const list_property_definition_callbacks_type & | list_property_definition_callbacks | ) |

inline static

Definition at line 265 of file ply_parser.h.

References pcl::io::ply::ply_parser::list_property_definition_callbacks_type::get().

void pcl::io::ply::ply_parser::comment_callback | ( | const comment_callback_type & | comment_callback | ) |

inline

Definition at line 481 of file ply_parser.h.

void pcl::io::ply::ply_parser::element_definition_callback | ( | const element_definition_callback_type & | element_definition_callback | ) |

inline

Definition at line 466 of file ply_parser.h.

void pcl::io::ply::ply_parser::end_header_callback | ( | const end_header_callback_type & | end_header_callback | ) |

inline

Definition at line 491 of file ply_parser.h.

References pcl::io::ply::ascii_format, pcl::io::ply::big_endian_byte_order, pcl::io::ply::binary_big_endian_format, pcl::io::ply::binary_little_endian_format, pcl::io::ply::little_endian_byte_order, and pcl::io::ply::swap_byte_order().

void pcl::io::ply::ply_parser::error_callback | ( | const error_callback_type & | error_callback | ) |

inline

Definition at line 451 of file ply_parser.h.

void pcl::io::ply::ply_parser::format_callback | ( | const format_callback_type & | format_callback | ) |

inline

Definition at line 461 of file ply_parser.h.

void pcl::io::ply::ply_parser::info_callback | ( | const info_callback_type & | info_callback | ) |

inline

Definition at line 441 of file ply_parser.h.

void pcl::io::ply::ply_parser::list_property_definition_callbacks | ( | const list_property_definition_callbacks_type & | list_property_definition_callbacks | ) |

inline

Definition at line 476 of file ply_parser.h.

void pcl::io::ply::ply_parser::magic_callback | ( | const magic_callback_type & | magic_callback | ) |

inline

Definition at line 456 of file ply_parser.h.

void pcl::io::ply::ply_parser::obj_info_callback | ( | const obj_info_callback_type & | obj_info_callback | ) |

inline

Definition at line 486 of file ply_parser.h.

bool pcl::io::ply::ply_parser::parse | ( | const std::string & | filename | ) |

void pcl::io::ply::ply_parser::scalar_property_definition_callbacks | ( | const scalar_property_definition_callbacks_type & | scalar_property_definition_callbacks | ) |

inline

Definition at line 471 of file ply_parser.h.

void pcl::io::ply::ply_parser::warning_callback | ( | const warning_callback_type & | warning_callback | ) |

inline

Definition at line 446 of file ply_parser.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/ply/ply_parser.h